from task import Task
from heuristics.heuristic_base import Heuristic

class GoalCountHeuristic(Heuristic):
    """
    Implements the goal count heuristic.
    It returns the number of goal facts currently false in the given state.
    """
    def __init__(self, task):
        super(GoalCountHeuristic, self).__init__()
        self.goals = task.goals

    def __call__(self, node):
        # do something with node.state and self.goals
        raise NotImplementedError
